Relesys API Docs

v1.2

https://api.relesysapp.net/api/v1.2

Comments

Get Comment By Id
GET /contentmodules/{moduleId}/content/{contentId}/comments/{commentId}
https://api.relesysapp.net/api/v1.2/contentmodules/{moduleId}/content/{contentId}/comments/{commentId}
Get a content comment with ID commentId.

Please note: Comments must be enabled on the module for this endpoint to be called. Otherwise status code 400 - Bad Request will be returned.
Scopes: relesys.api, relesys.api:read, relesys.api.content, relesys.api.content:read
URL Path
moduleId string / guid required
contentId string / guid required
commentId string / guid required
Responses
application/json
JSON
{"data":{"id":"82c4c277-a2bf-4b6f-b5fe-4aa0bc5272b0","url":null,"userId":"796afe85-32c3-4f90-a848-d7324dc72f60","userUrl":null,"parentCommentId":"2c626400-4dc3-4d07-bcb7-90c72c3810b5","parentCommentUrl":null,"creationDateTime":"2026-04-30T17:42:15.1133484+00:00","lastModifiedDateTime":null,"medias":[{"id":"3a03cc34-bc4c-4c2e-987f-4787cee446a2","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"png"},{"id":"787d3d80-f2f3-4136-be07-555914995f55","downloadUrl":null,"referenceUrl":null,"contentType":"video/mp4","fileName":"mp4"}],"mentions":null,"locales":[{"culture":"en-GB","text":"Example text 1"}]}}
object
  data object      
   creationDateTime datetimeoffset      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   locales array[object]      
    culture string      
    text string      
   medias array[object]      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   mentions array[object]      
    id string / guid      
    name string      
    type string      
    url string      
   parentCommentId string / guid      
   parentCommentUrl string      
   url string      
   userId string / guid      
   userUrl string